org.optaplanner.core.impl.score.stream.drools.common

## Class DroolsCondition<T extends DroolsRuleStructure>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition<T>

- Type Parameters:
    `T` - type of Drools rule that we operate on
  Direct Known Subclasses:
    DroolsBiCondition, DroolsQuadCondition, DroolsTriCondition, DroolsUniCondition

      public abstract class DroolsCondition<T extends DroolsRuleStructure>
      extends Object

  Encapsulates the low-level rule creation and manipulation operations via the Drools executable model DSL (see `PatternDSL`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T` | `ruleStructure`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DroolsCondition(T ruleStructure)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getRuleStructure()`
    `protected <S extends Score<S>,H extends AbstractScoreHolder<S>> void` | `impactScore(org.drools.model.Drools drools, H scoreHolder)`
    `protected <S extends Score<S>,H extends AbstractScoreHolder<S>> void` | `impactScore(org.drools.model.Drools drools, H scoreHolder, BigDecimal impact)`
    `protected <S extends Score<S>,H extends AbstractScoreHolder<S>> void` | `impactScore(org.drools.model.Drools drools, H scoreHolder, int impact)`
    `protected <S extends Score<S>,H extends AbstractScoreHolder<S>> void` | `impactScore(org.drools.model.Drools drools, H scoreHolder, long impact)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ruleStructure

          protected final T extends DroolsRuleStructure ruleStructure

  - ### Constructor Detail

    - #### DroolsCondition

          protected DroolsCondition(T ruleStructure)

  - ### Method Detail

    - #### getRuleStructure

          public T getRuleStructure()

    - #### impactScore

          protected <S extends Score<S>,H extends AbstractScoreHolder<S>> void impactScore(org.drools.model.Drools drools,
                                                                                           H scoreHolder)

    - #### impactScore

          protected <S extends Score<S>,H extends AbstractScoreHolder<S>> void impactScore(org.drools.model.Drools drools,
                                                                                           H scoreHolder,
                                                                                           int impact)

    - #### impactScore

          protected <S extends Score<S>,H extends AbstractScoreHolder<S>> void impactScore(org.drools.model.Drools drools,
                                                                                           H scoreHolder,
                                                                                           long impact)

    - #### impactScore

          protected <S extends Score<S>,H extends AbstractScoreHolder<S>> void impactScore(org.drools.model.Drools drools,
                                                                                           H scoreHolder,
                                                                                           BigDecimal impact)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.